# filemap_struct Struct Reference

## Data Fields
char * | description
LIBMTP_filetype_t | id
uint16_t | ptp_id
struct filemap_struct * | next

## Field Documentation

char* filemap_struct::description

Text description for the file type

Referenced by LIBMTP_Get_Filetype_Description().

LIBMTP_filetype_t filemap_struct::id

LIBMTP internal type for the file type

Referenced by LIBMTP_Get_Filetype_Description().

uint16_t filemap_struct::ptp_id

PTP ID for the filetype

The documentation for this struct was generated from the following file:

- /tmp/libmtp-1.0.1/src/libmtp.c